Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.SSL
Class SSLContext

    java.lang.Object
      |
      +--weblogic.security.SSL.SSLContext

public final class SSLContext
extends java.lang.Object

SSLContext holds all of the state information shared across all sockets created under that context.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`SSLContext()`
`SSLContext(java.lang.String secureProtocol)`

Method Summary
`static SSLContext` | `getInstance(java.lang.String secureProtocol)` Generates a new SSLContext object that implements the specified secure socket protocol.
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getProvider()`
`SSLSocketFactory` | `getSocketFactory()` Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the getSocketFactoryJSSE() method.
`SSLSocketFactory` | `getSocketFactoryJSSE()` Returns an SSLSocketFactory object for this context.
`void` | `loadLocalIdentity(java.security.cert.Certificate[] certs, java.security.PrivateKey privateKey)` Load local identity certificate chain and key for client.
`void` | `loadLocalIdentity(java.io.InputStream[] streams)` Sets an RSA private key and chain of X.509 certificates for SSL client authentication.
`void` | `loadLocalIdentity(java.io.InputStream[] streams, java.lang.String password)` Sets an RSA private key and chain of X.509 certificates for SSL client authentication.
`void` | `setHostnameVerifier(HostnameVerifier hv)` Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the setHostnameVerifierJSSE() method.
`void` | `setHostnameVerifierJSSE(HostnameVerifierJSSE hv)` Sets the HostnameVerifierJSSE for this instance of this class.
`void` | `setTrustManager(TrustManager tm)` Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the setTrustManagerJSSE() method.
`void` | `setTrustManagerJSSE(TrustManagerJSSE tm)` Sets the TrustManager for this instance of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLContext

    public SSLContext(java.lang.String secureProtocol)

### SSLContext

    public SSLContext()

Method Detail

### getInstance

    public static SSLContext getInstance(java.lang.String secureProtocol)

  Generates a new SSLContext object that implements the specified secure socket protocol.

  Parameters:
    `protocol` - The handshake protocol name.

### setTrustManager

    public void setTrustManager(TrustManager tm)

  Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the setTrustManagerJSSE() method.
  Sets the TrustManager for this instance of this class.

### setTrustManagerJSSE

    public void setTrustManagerJSSE(TrustManagerJSSE tm)

  Sets the TrustManager for this instance of this class.

### setHostnameVerifier

    public void setHostnameVerifier(HostnameVerifier hv)

  Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the setHostnameVerifierJSSE() method.
  Sets the HostnameVerifier for this instance of this class.

### setHostnameVerifierJSSE

    public void setHostnameVerifierJSSE(HostnameVerifierJSSE hv)

  Sets the HostnameVerifierJSSE for this instance of this class.

### loadLocalIdentity

    public void loadLocalIdentity(java.io.InputStream[] streams)

  Sets an RSA private key and chain of X.509 certificates for SSL client authentication. The array of input streams passed as an argument are DER encoded values, the first of which is a private key, followed by X.509 certificates. All but the first of the certificates are issuer certificates for the previous certificate.

  The InputStreams you use must support mark and reset. If you have PEM-encoded data, you can wrap your InputStreams in PEMInputStream classes before passing them in here.

  Parameters:
    `streams` - Array of InputStreams of DER encoded values
  See Also:
    `PEMInputStream`, `BufferedInputStream`

### loadLocalIdentity

    public void loadLocalIdentity(java.io.InputStream[] streams,
                                  java.lang.String password)

  Sets an RSA private key and chain of X.509 certificates for SSL client authentication. The array of input streams passed as an argument are DER encoded values, the first of which is a private key, followed by X.509 certificates. All but the first of the certificates are issuer certificates for the previous certificate.

  The InputStreams you use must support mark and reset. If you have PEM-encoded data, you can wrap your InputStreams in PEMInputStream classes before passing them in here.

  Parameters:
    `streams` - Array of InputStreams of DER encoded values
    `password` - Password for private key
  See Also:
    `PEMInputStream`, `BufferedInputStream`

### loadLocalIdentity

    public void loadLocalIdentity(java.security.cert.Certificate[] certs,
                                  java.security.PrivateKey privateKey)

  Load local identity certificate chain and key for client.

  Parameters:
    `certs` - Array of certificates. All but the first of the certificates are issuer certificates for the previous certificate.
    `privateKey` - Private key.

### getSocketFactory

    public SSLSocketFactory getSocketFactory()

  Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the getSocketFactoryJSSE() method.
  Returns an SSLSocketFactory object for this context.

### getSocketFactoryJSSE

    public SSLSocketFactory getSocketFactoryJSSE()

  Returns an SSLSocketFactory object for this context.

### getProtocol

    public java.lang.String getProtocol()

### getProvider

    public java.lang.String getProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD